<?php
require_once("../includes/academia_constantes.php");
require_once("../includes/funciones_generales.php");
require_once("../includes/clase_sesion.php");
$sesion = new sesion(); // inicio la sesion
$sesion->set('permiso', permisos($_POST['privilegio']));

require_once("../includes/lib_lenguaje.php");
$cleguaje = new cLanguage();

if (!comprobar_sesion()) {
    mensaje($cleguaje->Phrase('global', 'ses_cad'), $cleguaje->Phrase('project', 'institucion'));
    exit;
}

$configuracion = $sesion->get('configuracion');
$nombre_grupo = $configuracion['nombres_grupos'];
$permisos = str_split($sesion->get('permiso'));
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

        <script  type="text/javascript">
            var parametros = "";
            $(document).ready(function() {
                var cod_gradox = 0;
                var gridGrados = jQuery("#list_grados").jqGrid({
                    caption: '<?php echo $cleguaje->Phrase('grados', 'tituloGrilla') ?>',
                    height: 300, //tamaño  alto de la grilla
                    width: 420,
                    url: 'mod_gradosgrupos/list_grados.php',
                    datatype: "json",
                    rowNum: 30,
                    hidegrid: false,
                    rowList: [15, 30, 50],
                    pager: '#pager_grados',
                    sortname: 'orden', /* Nomber del campo por el que se quiere ordenar */
                    viewrecords: true,
                    toolbar: [true, 'top'],
                    sortorder: "asc",
                    multiselect: false,
                    editurl: 'mod_gradosgrupos/opera_grados.php',
                    colNames: [
                        '<?php echo $cleguaje->getField('grados', 'cod_grado') ?>',
                        '<?php echo $cleguaje->getField('grados', 'nom_grado') ?>'
                    ], /*Nombres en el encabezado */
                    colModel: [/*Se refiere las columnas y campos y todas sus propiedades, */
                        {name: 'ide_grado', index: 'ide_grado', editable: true, width: 50, resizable: false,
                            editoptions: {/*Opciones de edicion*/
                                size: 10,
                                dataInit: function(ide_grado) {
                                    $(ide_grado).valida({rulers: 1, mincar: 1, lcapital: false})
                                }
                            }
                        },
                        {name: 'nom_grado', index: 'nom_grado', editable: true, width: 150, resizable: false,
                            editoptions: {
                                size: 30,
                                dataInit: function(nom_grado) {
                                    $(nom_grado).valida({rulers: 1, mincar: 3})
                                }
                            }
                        },
                    ],
                    loadComplete: function() {
                        cambiar_iconos('pager_grados')
                    },
                    onSelectRow: function(ids) {
                        var ret = jQuery("#list_grados").jqGrid('getRowData', ids);
                        cod_gradox = ids;

                        if (ids == null) {
                            ids = 0;
                        }


                        $("#listado_grupos").jqGrid('setGridParam', {postData: {
                                _search: false
                            }
                        });


                        jQuery("#listado_grupos").jqGrid('setGridParam', {url: "mod_gradosgrupos/list_grupos.php?id=" + ids, page: 1});
                        jQuery("#listado_grupos").jqGrid('setCaption', '<?php echo $cleguaje->Phrase('grupos', 'tituloGrilla1') ?> ' + ret.nom_grado).trigger('reloadGrid');
                        //	

                    }

                });
                gridGrados.jqGrid('navGrid', '#pager_grados', {edit: false, add: false, del: false}, {}, {}, {}, {multipleSearch: true});

<?php if (in_array("A", $permisos)) { ?>
                    var dtnew = {
                        modulo: 'grados',
                        nom_pag: "t_list_grados",
                        ide_tabla: 'list_grados',
                        ancho: 'auto',
                        modal: true,
                        msg_sel: '<?php echo $cleguaje->Phrase('global', 'selrec') ?>', //mensaje si no selecciona un registro
                        msg_cmps_oblg: '<?php echo $cleguaje->Phrase('global', 'cmpobl') ?>', //mensaje campos obligatorios
                        title: '<?php echo $cleguaje->Phrase('global', 'new') . " " . $cleguaje->Phrase('grados', 'name') ?>',
                        empresa: '<?php echo $cleguaje->Phrase('project', 'institucion') ?>',
                        msgExito: '<?php echo $cleguaje->Phrase('global', 'newexito') ?>',
                    }

                    btnNuevoNor(gridGrados, dtnew)

<?php } if (in_array("M", $permisos)) { ?>
                    var dtedit = {
                        modulo: 'grados',
                        nom_pag: "t_list_grados",
                        ide_tabla: 'list_grados',
                        ancho: 'auto',
                        modal: true,
                        msg_sel: '<?php echo $cleguaje->Phrase('global', 'selrec') ?>', //mensaje si no selecciona un registro
                        msg_cmps_oblg: '<?php echo $cleguaje->Phrase('global', 'cmpobl') ?>', //mensaje campos obligatorios
                        title: '<?php echo $cleguaje->Phrase('global', 'edit') . " " . $cleguaje->Phrase('grados', 'name') ?>',
                        empresa: '<?php echo $cleguaje->Phrase('project', 'institucion') ?>',
                        msgExito: '<?php echo $cleguaje->Phrase('global', 'editexito') ?>',
                    }
                    btnEditarNor(gridGrados, dtedit)


<?php } if (in_array("E", $permisos)) { ?>
                    var tddel = {
                        modulo: 'grados',
                        nom_pag: "t_list_grados",
                        ide_tabla: 'list_grados',
                        msg_sel: '<?php echo $cleguaje->Phrase('global', 'selrecdel') ?>', //mensaje si no selecciona un registro
                        msg_confirma: '<?php echo str_replace('@', '\n', $cleguaje->Phrase('grados', 'confirdel')) ?>', //mensaje de confirmacion para la eliminacion
                        title: '<?php echo $cleguaje->Phrase('global', 'del') . " " . $cleguaje->Phrase('grados', 'name') ?>',
                        empresa: '<?php echo $cleguaje->Phrase('project', 'institucion') ?>',
                        isgrid: true,
                        msgExito: '<?php echo $cleguaje->Phrase('global', 'delexito') ?>',
                    }
                    btnEliminar(gridGrados, tddel)

<?php } ?>

                //----------------------------------------------------------------------------------------------------------------------------------------
                function formaterEstado(value, options, rowObject){
                    if(parseInt(value)==0){
                        return '<img aria-val="0" src="images/activo.png" title="En Curso" alt="En Curso" >'
                    }else{
                        return '<img aria-val="1" src="images/inactivo.png" title="Finalizado" alt="Finalizado" >'
                    }
                }
                function unFormatEstado(value, options, rowObject){
                    return parseInt(rowObject.attr("aria-val"));
                }

                var gridGrupos = jQuery("#listado_grupos").jqGrid({
                    caption: '<?php echo $cleguaje->Phrase('grupos', 'tituloGrilla') ?>',
                    height: 300,
                    width: 900,
                    url: 'mod_gradosgrupos/list_grupos.php?id=0',
                    shrinkToFit: false,
                    datatype: "xml",
                    hidegrid: false,
                    multiselect: false,
                    rowNum: 15,
                    rowList: [10, 15, 30],
                    pager: '#pager_grupos',
                    sortname: 'cod_grado',
                    toolbar: [true, 'top'],
                    viewrecords: true,
                    sortorder: "asc",
                    editurl: 'mod_gradosgrupos/grupos_new_edit.php',
                    colNames: [
                        'Estado',
                        '<?php echo $cleguaje->getField('grupos', 'nom_grupo') ?>',
                        '<?php echo $cleguaje->getField('grupos', 'nom_sede') ?>',
                        '<?php echo $cleguaje->getField('grupos', 'nom_jornada') ?>',
                        '<?php echo $cleguaje->getField('grupos', 'nom_especialidad') ?>',
                        '<?php echo $cleguaje->getField('grupos', 'nom_caracter') ?>',
                        '<?php echo $cleguaje->getField('grupos', 'nom_metodologia') ?>',
                        '<?php echo $cleguaje->getField('grupos', 'nom_director') ?>',
                        '<?php echo $cleguaje->getField('grupos', 'fecha_inicio') ?>',
                        '<?php echo $cleguaje->getField('grupos', 'fecha_fin') ?>',
                        '<?php echo $cleguaje->getField('grupos', 'num_aula') ?>',
                        '<?php echo $cleguaje->getField('grupos', 'dim_aula') ?>',
                        
                    ],
                    colModel: [
                        {name: 'estado', index: 'estado', width: 80, resizable: true, search:false, align:"center",frozen: true,formatter:formaterEstado,unformat:unFormatEstado},
                        {name: '<?php echo $nombre_grupo ?>', index: '<?php echo $nombre_grupo ?>', width: 70, resizable: false, frozen: true, search: false},
                        {name: 'nom_sede', index: 'nom_sede', width: 170, resizable: false, frozen: true, stype: 'select', searchoptions: {
                                sopt: ['eq', 'ne'],
                                dataUrl: 'includes/cargar_selec_normal.php?codigo=a6&grilla=1&mopc=0',
                                dataInit: function(d) {
                                    $(d).trigger('change')

                                }
                            }
                        },
                        {name: 'j.cod_jornada', index: 'j.cod_jornada', width: 90, resizable: false, frozen: true, stype: 'select',
                            searchoptions: {
                                sopt: ['eq', 'ne'],
                                dataUrl: 'includes/select_vacio.php',
                                dataInit: function(elem) {
                                    $.ajax({
                                        type: "POST",
                                        url: "includes/cargar_selec_normal.php",
                                        data: {
                                            codigo: 'b5',
                                            cod_cnds: cod_gradox,
                                            mopc: 0
                                        },
                                        success: function(ms) {
                                            $(elem).html(ms).css('width', 160);
                                            $(elem).trigger('change');
                                        }
                                    })
                                },
                            }
                        },
                        {name: 'e.cod_especialidad', index: 'e.cod_especialidad', width: 80, resizable: true, stype: 'select',
                            searchoptions: {
                                sopt: ['eq', 'ne'],
                                dataUrl: 'includes/select_vacio.php',
                                dataInit: function(elem) {
                                    $.ajax({
                                        type: "POST",
                                        url: "includes/cargar_selec_normal.php",
                                        data: {
                                            codigo: 'b6',
                                            cod_cnds: cod_gradox,
                                            mopc: 0
                                        },
                                        success: function(ms) {
                                            $(elem).html(ms).css('width', 160)
                                            $(elem).trigger('change');
                                        }
                                    })
                                },
                            }
                        },
                        {name: 'c.cod_caracter', index: 'c.cod_caracter', width: 80, resizable: true, stype: 'select',
                            searchoptions: {
                                sopt: ['eq', 'ne'],
                                dataUrl: 'includes/select_vacio.php',
                                dataInit: function(elem) {
                                    $.ajax({
                                        type: "POST",
                                        url: "includes/cargar_selec_normal.php",
                                        data: {
                                            codigo: 'b7',
                                            cod_cnds: cod_gradox,
                                            mopc: 0
                                        },
                                        success: function(ms) {
                                            $(elem).html(ms).css('width', 160)
                                            $(elem).trigger('change');
                                        }
                                    })
                                },
                            }
                     },
                        {name: 'm.cod_metodologia', index: 'm.cod_metodologia', width: 120, resizable: true, stype: 'select',
                            searchoptions: {
                                sopt: ['eq', 'ne'],
                                dataUrl: 'includes/select_vacio.php',
                                dataInit: function(elem) {
                                    $.ajax({
                                        type: "POST",
                                        url: "includes/cargar_selec_normal.php",
                                        data: {
                                            codigo: 'b8',
                                            cod_cnds: cod_gradox,
                                            mopc: 0
                                        },
                                        success: function(ms) {
                                            $(elem).html(ms).css('width', 160)
                                            $(elem).trigger('change');
                                        },
                                    })
                                },
                            }
                     },
                        {name: 'nom_profesor', index: 'nom_profesor', width: 170, resizable: true, stype: 'select',
                            searchoptions: {
                                sopt: ['eq', 'ne'],
                                dataUrl: 'includes/select_vacio.php',
                                dataInit: function(elem) {
                                    $.ajax({
                                        type: "POST",
                                        url: "includes/cargar_selec_normal.php",
                                        data: {
                                            codigo: 'a5',
                                            cod_cnds: cod_gradox,
                                        },
                                        success: function(ms) {
                                            $(elem).html(ms).css('width', 160)

                                        }
                                    })
                                },
                            }
                        },
                        {name: 'fecha_inicio', index: 'fecha_inicio', resizable: false, width: 100, searchoptions: {
                                sopt: ['eq'],
                                dataInit: function(l) {
                                    $(l).datepicker({dateFormat: 'yy-mm-dd'})
                                }

                            }},
                        {name: 'fecha_fin', index: 'fecha_fin', resizable: false, width: 100, searchoptions: {
                                sopt: ['eq'],
                                dataInit: function(l) {
                                    $(l).datepicker({dateFormat: 'yy-mm-dd'})
                                }
                            }},
                        {name: 'num_aula', index: 'num_aula', width: 80, resizable: true, searchoptions: {sopt: ['eq']}},
                        {name: 'dim_aula', index: 'dim_aula', width: 80, resizable: true, searchoptions: {sopt: ['eq']}}
                        
                    ], 
                    loadComplete: function() {
                        cambiar_iconos('pager_grupos')
                    },
                    onSelectRow:function(rowid){
                        var dts = gridGrupos.getRowData(rowid);
                        var estado=parseInt($(dts.estado).attr("aria-val"));
                        if(estado==0){
                            $("#del_tlistado_grupos,#edit_t_listado_grupos").removeClass("ui-state-disabled");
                        }else{
                            $("#del_tlistado_grupos,#edit_t_listado_grupos").addClass("ui-state-disabled");
                        }
                    }
                })
                gridGrupos.jqGrid('navGrid', '#pager_grupos', {add: false, edit: false, del: false}, {}, {}, {}, {multipleSearch: true});
                gridGrupos.jqGrid('setFrozenColumns');

<?php if (in_array("A", $permisos)) { ?>
                    var dtnew = {
                        nom_pag: "t_listado_grupos",
                        ancho: 'auto',
                        alto: 'auto',
                        param: '?accion=new',
                        iframe: false,
                        title: '<?php echo $cleguaje->Phrase('global', 'new') . " " . $cleguaje->Phrase('grupos', 'name') ?>',
                        empresa: '<?php echo $cleguaje->Phrase('global', 'institucion') ?>'
                    }
                    btnNuevoColorbox(gridGrupos, dtnew)

<?php } if (in_array("M", $permisos)) { ?>
                    var dtedit = {
                        modulo: 'grupos',
                        nom_pag: "t_listado_grupos",
                        ide_tabla: 'listado_grupos',
                        param: '?accion=edit&recarga=true',
                        ancho: 'auto',
                        alto: 'auto',
                        modal: true,
                        msg_sel: '<?php echo $cleguaje->Phrase('global', 'selrec') ?>', //mensaje si no selecciona un registro
                        msg_cmps_oblg: '<?php echo $cleguaje->Phrase('global', 'cmpobl') ?>', //mensaje campos obligatorios
                        title: '<?php echo $cleguaje->Phrase('global', 'edit') . " " . $cleguaje->Phrase('grupos', 'name') ?>',
                        empresa: '<?php echo $cleguaje->Phrase('project', 'institucion') ?>',
                        msgExito: '<?php echo $cleguaje->Phrase('global', 'editexito') ?>',
                    }
                    btnEditarColorbox(gridGrupos, dtedit)

<?php } if (in_array("E", $permisos)) { ?>
                    var tddel = {
                        modulo: 'grupos',
                        nom_pag: "t_listado_grupos",
                        ide_tabla: 'listado_grupos',
                        url: 'mod_gradosgrupos/opera_grupos.php',
                        msg_sel: '<?php echo $cleguaje->Phrase('global', 'selrecdel') ?>', //mensaje si no selecciona un registro
                        msg_confirma: '<?php echo str_replace('@', '\n', $cleguaje->Phrase('grupos', 'confirdel')) ?>', //mensaje de confirmacion para la eliminacion
                        title: '<?php echo $cleguaje->Phrase('global', 'del') . " " . $cleguaje->Phrase('grupos', 'name') ?>',
                        empresa: '<?php echo $cleguaje->Phrase('project', 'institucion') ?>',
                        isgrid: false,
                        msgExito: '<?php echo $cleguaje->Phrase('global', 'delexito') ?>',
                    }
                    btnEliminar(gridGrupos, tddel)
<?php } ?>

            });
        </script>
    </head>

    <body>
        <table align="center">
            <tr align="center">
                <td align="center">
                    <table id="list_grados"></table>
                    <div id="pager_grados"></div>
                </td>      
                <td align="center">
                    <table id="listado_grupos"></table>
                    <div id="pager_grupos"></div>
                </td>
            </tr>
        </table>
    </body>
</html>